package com.smppw.common.pojo;

import java.util.List;

public class StrategyTreeDto {
    private String id;  // 数据库ID

    private Integer strategyId; // 策略ID

    private String value;   // 策略英文名

    private String label;   // 策略中文名

    private String benchmarkId; // 基准ID

    private String benchmarkName;   // 基准中文名

    private String rongzhiIndex; // 基准ID

    private List<StrategyTreeDto> child;   // 子策略

    public Integer getStrategyId() {
        return strategyId;
    }

    public void setStrategyId(Integer strategyId) {
        this.strategyId = strategyId;
    }

    public String getValue() {
        return value;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getBenchmarkId() {
        return benchmarkId;
    }

    public void setBenchmarkId(String benchmarkId) {
        this.benchmarkId = benchmarkId;
    }

    public String getRongzhiIndex() {
        return rongzhiIndex;
    }

    public void setRongzhiIndex(String rongzhiIndex) {
        this.rongzhiIndex = rongzhiIndex;
    }

    public String getBenchmarkName() {
        return benchmarkName;
    }

    public void setBenchmarkName(String benchmarkName) {
        this.benchmarkName = benchmarkName;
    }

    public List<StrategyTreeDto> getChild() {
        return child;
    }

    public void setChild(List<StrategyTreeDto> child) {
        this.child = child;
    }
}
